%define libname %mklibname %{name} %{major}
%define major 0

Summary: Spell-checking addon for GTK's TextView widget
Name: gtkspell
Version: 2.0.3
Release: 5mdk
Source0:http://gtkspell.sourceforge.net/download/%{name}-%{version}.tar.bz2
# (fc) 2.0.3-1mdk aspell 0.50.x support
Patch0: gtkspell-2.0.3-aspell.patch.bz2
License: GPL
Url: http://gtkspell.sourceforge.net/
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires:	autoconf2.5
BuildRequires:	gtk+2-devel
BuildRequires:	aspell-devel >= 0.50.2

%description
GtkSpell provides MSWord/MacOSX-style highlighting of misspelled words in a
GtkTextView widget.  Right-clicking a misspelled word pops up a menu of
suggested replacements.  

%package -n %{libname}
Summary:	%{summary}
Group:		%{group}

%description -n %{libname}
GtkSpell provides MSWord/MacOSX-style highlighting of misspelled words in a
GtkTextView widget.  Right-clicking a misspelled word pops up a menu of
suggested replacements.  

%package -n %{libname}-devel
Summary:	%{summary}
Group:		Development/C
Provides:   %{name}-devel = %{version}-%{release}
Provides:   lib%{name}-devel = %{version}-%{release}
Requires:   %{libname} = %{version}-%{release}
Requires:   aspell-devel
Requires:   gtk+2-devel

%description -n %{libname}-devel
GtkSpell provides MSWord/MacOSX-style highlighting of misspelled words in a
GtkTextView widget.  Right-clicking a misspelled word pops up a menu of
suggested replacements.  


%prep
%setup -q
%patch0 -p1 -b .aspell

#fix build
libtoolize --copy --force

#needed by patch0
autoconf

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/*
%{_includedir}/*


%changelog
* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-5mdk
- mklibname 

* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.0.3-4mdk
- rebuild

* Wed Feb 19 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-3mdk
- Fix devel dependency

* Tue Dec 31 2002 Stefan van der Eijk <stefan@eijk.nu> 2.0.3-2mdk
- BuildRequires: autoconf2.5

* Thu Dec 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-1mdk
- From Mohammed Sameer <Uniball@linux-egypt.org> :
 - Upgraded to Gtkspell 2.0.3
- Patch0: aspell 0.50.x support

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.0-3mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Sat Aug  3 2002 Stefan van der Eijk <stefan@eijk.nu> 2.0.0-2mdk
- BuildRequires

* Tue Jul 30 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Initial Mandrake release
